summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2010-03-07 08:31:26 +0100
committerDan McGee <dan@archlinux.org>2010-03-15 00:30:35 +0100
commit65d43fbb843e035812dde4578afa98c4e7388374 (patch)
treeb29261a5fb03c099c5c4828089c73fa161652f9e /scripts
parenta4e3fd18474186ac81acca91adecbb905aee3357 (diff)
downloadpacman-65d43fbb843e035812dde4578afa98c4e7388374.tar.gz
pacman-65d43fbb843e035812dde4578afa98c4e7388374.tar.xz
makepkg: abort on missing or non-writable PKGDEST
When PKGDEST pointed to a non-writable location, makepkg would fail after completing the build process. This patch makes it abort as soon as PKGDEST is parsed. Also, move the SRCDEST check to the same point rather than right before downloading sources (which was after dependency checks). Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in18
1 files changed, 12 insertions, 6 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 5a3e502a..8f3e354b 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -451,12 +451,6 @@ remove_deps() {
download_sources() {
msg "$(gettext "Retrieving Sources...")"
- if [[ ! -w $SRCDEST ]] ; then
- error "$(gettext "You do not have write permission to store downloads in %s.")" "$SRCDEST"
- plain "$(gettext "Aborting...")"
- exit 1
- fi
-
pushd "$SRCDEST" &>/dev/null
local netfile
@@ -1612,8 +1606,20 @@ readonly ALL_OFF BOLD BLUE GREEN RED YELLOW
# override settings with an environment variable for batch processing
PKGDEST=${_PKGDEST:-$PKGDEST}
PKGDEST=${PKGDEST:-$startdir} #default to $startdir if undefined
+if [[ ! -w $PKGDEST ]]; then
+ error "$(gettext "You do not have write permission to store packages in %s.")" "$PKGDEST"
+ plain "$(gettext "Aborting...")"
+ exit 1
+fi
+
SRCDEST=${_SRCDEST:-$SRCDEST}
SRCDEST=${SRCDEST:-$startdir} #default to $startdir if undefined
+if [[ ! -w $SRCDEST ]] ; then
+ error "$(gettext "You do not have write permission to store downloads in %s.")" "$SRCDEST"
+ plain "$(gettext "Aborting...")"
+ exit 1
+fi
+
SRCPKGDEST=${_SRCPKGDEST:-$SRCPKGDEST}
SRCPKGDEST=${SRCPKGDEST:-$PKGDEST} #default to $PKGDEST if undefined